Schedule Clips
curl --request POST \
--url https://public.reap.video/api/v1/automation/schedule-clips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clips": [
{
"projectId": "<string>",
"clipId": "<string>",
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
]
}
],
"integrations": [
"<string>"
],
"scheduleDate": 123,
"intervalSeconds": 300,
"platformSettings": {
"youtube": {
"privacy": "public",
"embeddable": true,
"publicStats": true,
"madeForKids": false
},
"tiktok": {
"privacy": "public",
"disableComments": false,
"disableDuet": false,
"disableStitch": false,
"brandContent": false,
"brandOrganic": false
},
"instagram": {
"shareToFeed": false
},
"linkedin": {
"privacy": "public"
}
}
}
'import requests
url = "https://public.reap.video/api/v1/automation/schedule-clips"
payload = {
"clips": [
{
"projectId": "<string>",
"clipId": "<string>",
"title": "<string>",
"description": "<string>",
"tags": ["<string>"]
}
],
"integrations": ["<string>"],
"scheduleDate": 123,
"intervalSeconds": 300,
"platformSettings": {
"youtube": {
"privacy": "public",
"embeddable": True,
"publicStats": True,
"madeForKids": False
},
"tiktok": {
"privacy": "public",
"disableComments": False,
"disableDuet": False,
"disableStitch": False,
"brandContent": False,
"brandOrganic": False
},
"instagram": { "shareToFeed": False },
"linkedin": { "privacy": "public" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clips: [
{
projectId: '<string>',
clipId: '<string>',
title: '<string>',
description: '<string>',
tags: ['<string>']
}
],
integrations: ['<string>'],
scheduleDate: 123,
intervalSeconds: 300,
platformSettings: {
youtube: {privacy: 'public', embeddable: true, publicStats: true, madeForKids: false},
tiktok: {
privacy: 'public',
disableComments: false,
disableDuet: false,
disableStitch: false,
brandContent: false,
brandOrganic: false
},
instagram: {shareToFeed: false},
linkedin: {privacy: 'public'}
}
})
};
fetch('https://public.reap.video/api/v1/automation/schedule-clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public.reap.video/api/v1/automation/schedule-clips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clips' => [
[
'projectId' => '<string>',
'clipId' => '<string>',
'title' => '<string>',
'description' => '<string>',
'tags' => [
'<string>'
]
]
],
'integrations' => [
'<string>'
],
'scheduleDate' => 123,
'intervalSeconds' => 300,
'platformSettings' => [
'youtube' => [
'privacy' => 'public',
'embeddable' => true,
'publicStats' => true,
'madeForKids' => false
],
'tiktok' => [
'privacy' => 'public',
'disableComments' => false,
'disableDuet' => false,
'disableStitch' => false,
'brandContent' => false,
'brandOrganic' => false
],
'instagram' => [
'shareToFeed' => false
],
'linkedin' => [
'privacy' => 'public'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public.reap.video/api/v1/automation/schedule-clips"
payload := strings.NewReader("{\n \"clips\": [\n {\n \"projectId\": \"<string>\",\n \"clipId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n }\n ],\n \"integrations\": [\n \"<string>\"\n ],\n \"scheduleDate\": 123,\n \"intervalSeconds\": 300,\n \"platformSettings\": {\n \"youtube\": {\n \"privacy\": \"public\",\n \"embeddable\": true,\n \"publicStats\": true,\n \"madeForKids\": false\n },\n \"tiktok\": {\n \"privacy\": \"public\",\n \"disableComments\": false,\n \"disableDuet\": false,\n \"disableStitch\": false,\n \"brandContent\": false,\n \"brandOrganic\": false\n },\n \"instagram\": {\n \"shareToFeed\": false\n },\n \"linkedin\": {\n \"privacy\": \"public\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public.reap.video/api/v1/automation/schedule-clips")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"clips\": [\n {\n \"projectId\": \"<string>\",\n \"clipId\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n }\n ],\n \"integrations\": [\n \"<string>\"\n ],\n \"scheduleDate\": 123,\n \"intervalSeconds\": 300,\n \"platformSettings\": {\n \"youtube\": {\n \"privacy\": \"public\",\n \"embeddable\": true,\n \"publicStats\": true,\n \"madeForKids\": false\n },\n \"tiktok\": {\n \"privacy\": \"public\",\n \"disableComments\": false,\n \"disableDuet\": false,\n \"disableStitch\": false,\n \"brandContent\": false,\n \"brandOrganic\": false\n },\n \"instagram\": {\n \"shareToFeed\": false\n },\n \"linkedin\": {\n \"privacy\": \"public\"\n }\n }\n}")
.asString();{
"posts": [
{
"id": "<string>",
"projectId": "<string>",
"clipId": "<string>",
"platforms": [
"<string>"
],
"successPlatforms": [
"<string>"
],
"failedPlatforms": [
"<string>"
],
"integrations": [
"<string>"
],
"title": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"scheduleDate": 123,
"publishDate": 123,
"urls": {},
"platformSettings": {
"youtube": {
"privacy": "public",
"embeddable": true,
"publicStats": true,
"madeForKids": false
},
"tiktok": {
"privacy": "public",
"disableComments": false,
"disableDuet": false,
"disableStitch": false,
"brandContent": false,
"brandOrganic": false
},
"instagram": {
"shareToFeed": false
},
"linkedin": {
"privacy": "public"
}
},
"createdAt": 123,
"updatedAt": 123
}
],
"failed": [
{
"clipId": "<string>",
"index": 123,
"error": "<string>"
}
]
}Publishing
Schedule Clips
Schedule completed clips for future publishing to social media
POST
/
automation
/
schedule-clips
Schedule Clips

For AI agents: a documentation index is at /llms.txt. Every page is also available as markdown, just append .md to the URL.
Overview
Schedule one or more completed clips for publishing at a future date. Clips are published sequentially with a configurable interval between each. Use this for batch publishing workflows where you want to space out content over time.Rate Limiting
This endpoint is rate limited to 10 requests per minute per API key.- Schedule date must be at least 50 minutes in the future and within 12 months
- Interval between clips must be at least 5 minutes (300 seconds)
- Maximum 50 clips per request
- Each clip is scheduled at
scheduleDate + (index * intervalSeconds) - Partial success is possible: some clips may fail validation while others are scheduled successfully
- Only completed clips can be scheduled
- Clips from a cancelled project are returned in the
failedarray (not scheduled) with the errorThe project for this clip was cancelled.
Response
Array of successfully scheduled post objects
Show AutomationPost Object
Show AutomationPost Object
Unique post identifier
ID of the parent project
ID of the scheduled clip
Array of target platform names
Platforms where publishing succeeded (empty until published)
Platforms where publishing failed (empty until published)
Array of integration IDs used for publishing
Post title
Post description
Array of tags applied to the post
Post status (will be
scheduled for newly created scheduled posts)Always
scheduled for this endpointScheduled publish date as Unix timestamp
Actual publish date (null until published)
Published URLs per platform (populated after publishing)
Per-platform configuration
Show Platform Settings
Show Platform Settings
YouTube-specific settings
TikTok-specific settings
Show TikTok Settings
Show TikTok Settings
Video privacy:
public, friends, or privateDisable comments on the video
Disable duets for the video
Disable stitches for the video
Mark as paid partnership / brand content
Mark as organic brand content
Instagram-specific settings
Show Instagram Settings
Show Instagram Settings
Whether to share Reels to the main feed
Unix timestamp when the post was created
Unix timestamp when the post was last updated
Example Request
curl -X POST "https://public.reap.video/api/v1/automation/schedule-clips" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"clips": [
{
"projectId": "65f1a2b3c4d5e6f7a8b9c0d2",
"clipId": "65f1a2b3c4d5e6f7a8b9c0d4",
"title": "The Future of AI - Part 1",
"description": "First in our AI series",
"tags": ["ai", "technology"]
},
{
"projectId": "65f1a2b3c4d5e6f7a8b9c0d2",
"clipId": "65f1a2b3c4d5e6f7a8b9c0d5",
"title": "The Future of AI - Part 2",
"description": "Second in our AI series",
"tags": ["ai", "technology"]
}
],
"integrations": ["66a1b2c3d4e5f6a7b8c9d0e1"],
"scheduleDate": 1710100000,
"intervalSeconds": 600,
"platformSettings": {
"youtube": {
"privacy": "public",
"madeForKids": false
}
}
}'
const response = await fetch('https://public.reap.video/api/v1/automation/schedule-clips', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
clips: [
{
projectId: '65f1a2b3c4d5e6f7a8b9c0d2',
clipId: '65f1a2b3c4d5e6f7a8b9c0d4',
title: 'The Future of AI - Part 1',
description: 'First in our AI series',
tags: ['ai', 'technology']
},
{
projectId: '65f1a2b3c4d5e6f7a8b9c0d2',
clipId: '65f1a2b3c4d5e6f7a8b9c0d5',
title: 'The Future of AI - Part 2',
description: 'Second in our AI series',
tags: ['ai', 'technology']
}
],
integrations: ['66a1b2c3d4e5f6a7b8c9d0e1'],
scheduleDate: 1710100000,
intervalSeconds: 600,
platformSettings: {
youtube: { privacy: 'public', madeForKids: false }
}
})
});
const data = await response.json();
console.log(`Scheduled: ${data.posts.length}, Failed: ${data.failed.length}`);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
}
data = {
'clips': [
{
'projectId': '65f1a2b3c4d5e6f7a8b9c0d2',
'clipId': '65f1a2b3c4d5e6f7a8b9c0d4',
'title': 'The Future of AI - Part 1',
'description': 'First in our AI series',
'tags': ['ai', 'technology']
},
{
'projectId': '65f1a2b3c4d5e6f7a8b9c0d2',
'clipId': '65f1a2b3c4d5e6f7a8b9c0d5',
'title': 'The Future of AI - Part 2',
'description': 'Second in our AI series',
'tags': ['ai', 'technology']
}
],
'integrations': ['66a1b2c3d4e5f6a7b8c9d0e1'],
'scheduleDate': 1710100000,
'intervalSeconds': 600,
'platformSettings': {
'youtube': {'privacy': 'public', 'madeForKids': False}
}
}
response = requests.post(
'https://public.reap.video/api/v1/automation/schedule-clips',
headers=headers,
json=data
)
result = response.json()
print(f"Scheduled: {len(result['posts'])}, Failed: {len(result['failed'])}")
<?php
$data = [
'clips' => [
[
'projectId' => '65f1a2b3c4d5e6f7a8b9c0d2',
'clipId' => '65f1a2b3c4d5e6f7a8b9c0d4',
'title' => 'The Future of AI - Part 1',
'description' => 'First in our AI series',
'tags' => ['ai', 'technology']
],
[
'projectId' => '65f1a2b3c4d5e6f7a8b9c0d2',
'clipId' => '65f1a2b3c4d5e6f7a8b9c0d5',
'title' => 'The Future of AI - Part 2',
'description' => 'Second in our AI series',
'tags' => ['ai', 'technology']
]
],
'integrations' => ['66a1b2c3d4e5f6a7b8c9d0e1'],
'scheduleDate' => 1710100000,
'intervalSeconds' => 600,
'platformSettings' => [
'youtube' => ['privacy' => 'public', 'madeForKids' => false]
]
];
$ch = curl_init('https://public.reap.video/api/v1/automation/schedule-clips');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer YOUR_API_KEY',
'Content-Type: application/json'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
echo 'Scheduled: ' . count($result['posts']) . ', Failed: ' . count($result['failed']) . "\n";
?>
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
data := map[string]interface{}{
"clips": []map[string]interface{}{
{
"projectId": "65f1a2b3c4d5e6f7a8b9c0d2",
"clipId": "65f1a2b3c4d5e6f7a8b9c0d4",
"title": "The Future of AI - Part 1",
"description": "First in our AI series",
"tags": []string{"ai", "technology"},
},
{
"projectId": "65f1a2b3c4d5e6f7a8b9c0d2",
"clipId": "65f1a2b3c4d5e6f7a8b9c0d5",
"title": "The Future of AI - Part 2",
"description": "Second in our AI series",
"tags": []string{"ai", "technology"},
},
},
"integrations": []string{"66a1b2c3d4e5f6a7b8c9d0e1"},
"scheduleDate": 1710100000,
"intervalSeconds": 600,
"platformSettings": map[string]interface{}{
"youtube": map[string]interface{}{
"privacy": "public", "madeForKids": false,
},
},
}
jsonData, _ := json.Marshal(data)
req, _ := http.NewRequest("POST", "https://public.reap.video/api/v1/automation/schedule-clips", bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
public class ScheduleClipsExample {
public static void main(String[] args) throws Exception {
URL url = new URL("https://public.reap.video/api/v1/automation/schedule-clips");
HttpURLConnection conn = (HttpURLConnection) url.openConnection();
conn.setRequestMethod("POST");
conn.setRequestProperty("Authorization", "Bearer YOUR_API_KEY");
conn.setRequestProperty("Content-Type", "application/json");
conn.setDoOutput(true);
String jsonBody = """
{
"clips": [
{
"projectId": "65f1a2b3c4d5e6f7a8b9c0d2",
"clipId": "65f1a2b3c4d5e6f7a8b9c0d4",
"title": "The Future of AI - Part 1",
"description": "First in our AI series",
"tags": ["ai", "technology"]
},
{
"projectId": "65f1a2b3c4d5e6f7a8b9c0d2",
"clipId": "65f1a2b3c4d5e6f7a8b9c0d5",
"title": "The Future of AI - Part 2",
"description": "Second in our AI series",
"tags": ["ai", "technology"]
}
],
"integrations": ["66a1b2c3d4e5f6a7b8c9d0e1"],
"scheduleDate": 1710100000,
"intervalSeconds": 600,
"platformSettings": {
"youtube": { "privacy": "public", "madeForKids": false }
}
}""";
try (OutputStream os = conn.getOutputStream()) {
os.write(jsonBody.getBytes("utf-8"));
}
BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
StringBuilder response = new StringBuilder();
String responseLine;
while ((responseLine = br.readLine()) != null) {
response.append(responseLine.trim());
}
System.out.println(response.toString());
}
}
Example Response
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of clips to schedule (1-50)
Show child attributes
Show child attributes
List of integration IDs
Unix timestamp for the first clip (min 50 min in future)
Seconds between each clip (min 300)
Per-platform publishing settings
Show child attributes
Show child attributes
Was this page helpful?
⌘I